## xpdf 3.02

=== debian/changelog ===
xpdf (3.02-11ubuntu1) natty; urgency=low

  * Add -lXt -lX11 to LIBS definition in debian/rules to fix FTBFS due to
    indirect linking

 -- Scott Kitterman <scott@kitterman.com>  Sun, 17 Oct 2010 00:53:43 -0400

xpdf (3.02-11) unstable; urgency=medium

  * Apply arrow key bindings only in the fullscreen context
    (closes: #595547, #595075).
  * Also remove xpdf-reader dangling symlink (closes: #595076).
  * Fix Vcs-Git field.

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Sun, 05 Sep 2010 17:57:28 -0400

xpdf (3.02-10) unstable; urgency=low

  [Michael Gilbert]
  * Make language file installation slightly more robust/automated.
  * Bind arrow keys to next/prev page actions by default (closes: #200610).
  * Use Breaks instead of Conflicts.
  * No need to break or conflict xpdf-common since replaces is enough to
    enable successful upgrades from lenny.
  * Remove dangling symlink leftover by lenny xpdf package (closes: #589650).
  * Bump standards version to 3.9.1 (no changes required).
  * Recommend gsfonts-x11 package.
  * Remove refrences to poppler-utils files in xpdfrc and clean it up a bit.
  * Drop unneeded 'Provides'.
  * Drop conflicts/breaks with packages that no longer exist in lenny.
  * Version all 'Breaks'.
  * Include references to origin of all poppler patches in headers.
  * Include comment on debian-specific changes in use-system-xpdfrc.patch.
  * Correct zxpdf symlink (closes: #593565).

  [Osamu Aoki]
  * Remove xpdf-common and clean up dependencies (closes: #589425).
  * zxpdf: remove temp file on exit (closes: #280460).
  * zxpdf: search compressed file names (closes: #501661).
  * Fix typo in "xpdf --help" output.
  * Explain zoom (+-) only after "0" (closes: #426502).
  * Restore xpdf.desktop file (closes: #589542).
  * Drop update-xpdfrc: no longer needed due to poppler transition
    (closes: #437529).

  [Rogério Brito]
  * Update debian/copyright to reflect change of maintainership.

 -- Osamu Aoki <osamu@debian.org>  Wed, 21 Jul 2010 23:16:50 +0900

xpdf (3.02-9) unstable; urgency=low

  * Reactivate zoomFitHeight properly by merging it into fix-580495.patch.
  * Set VCS-* and Uploaders fields.

 -- Osamu Aoki <osamu@debian.org>  Sat, 17 Jul 2010 16:00:23 +0900

xpdf (3.02-8) unstable; urgency=low

  [Michael Gilbert]
  * Bump standards version to 3.9.0 (no changes required).
  * Clean up formatting of debian/control.
  * xpdf.postrm: remove languages from /etc/xpdf.

  [Rogério Brito]
  * Don't specify icon extension name in xpdf.desktop (closes: #551544).
  * zxpdf: support file extensions with any capitalization of 'pdf'.
  * zxpdf: add support for xz compression.
  * Make transitional packages architecture independent.
  * Add patch to make zoom levels more flexible (closes: #580495).

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Wed, 14 Jul 2010 20:46:02 -0400

xpdf (3.02-7) unstable; urgency=low

  * Fix xpdf package long description.
  * Bump compat version to 7.
  * Drop legacy support for xpdf 2.0.
  * Add in LDFLAGS to xpdf compilation.

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Mon, 21 Jun 2010 00:43:13 -0400

xpdf (3.02-6) unstable; urgency=low

  [Michael Gilbert]
  * Remove outdated README.Debian (information is no longer relevant).
  * Trigger an xpdfrc refresh when poppler-data is installed/uninstalled
    - This makes it possible to provide poppler-data cmaps while avoiding
      poppler-data as a dependency (a 12 MiB package).
  * Fix the warning message printed to /etc/xpdf/includes.

  [Rogério Brito]
  * Add "-mattecolor" to help output (closes: 458468).

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Mon, 14 Jun 2010 23:07:31 -0400

xpdf (3.02-5) unstable; urgency=low

  * Use poppler-data to provide support for additional languages
    (closes: #461411, #548182, #548183, #548184, #548185, #577917).
    - Eliminates the need for the xpdf-* language packages.
    - Thanks to Hideki Yamane!
  * Reestablish /etc/xpdf/xpdfrc as the resource file (this was inadvertantly
    dropped in the conversion to poppler since we are no longer using configure,
    but is now fixed).

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Mon, 14 Jun 2010 18:29:34 -0400

xpdf (3.02-4) experimental; urgency=low

  * Version the dependency on libpoppler-dev.

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Fri, 04 Jun 2010 00:32:40 -0400

xpdf (3.02-3) experimental; urgency=low

  * Use system poppler library (closes: #351279).
    - Thanks to Martin Pitt for the initial work on xpdf-poppler and to
      Gentoo for maintaining that in their archive for the past couple years.
    - Drop xpdf-utils package; no reason to duplicate poppler-utils anymore
      (closes: #576683).
    - Eliminate xpdf-reader and xpdf-common (no reason to separate these from
      xpdf anymore).
    - Drop the following patches (this code is no longer built here; it is
      provided by poppler):
      - fix-444648.patch
      - fix-462544.patch
      - fix-CVE-2007-3387_CVE-2007-5049.dpatch
      - fix-CVE-2007-5393_2007-5392_2007-4352.dpatch
      - fix-CVE-2009-0146,0147,0165,0166,0799,0800,1179-1183.dpatch
      - fix-CVE-2009-3603+CVE-2009-1188.patch
      - fix-CVE-2009-3604.patch
      - fix-CVE-2009-3606.patch
      - fix-CVE-2009-3608.patch
      - fix-CVE-2009-3609.patch
  * Add some patch descriptions.
  * Remove last remnants of dpatch (the package now uses quilt).
  * Fix a quirky floating point comparison that was leading to problems on
    i386 with gcc 4.4 (closes: #577031, #577086).
  * Revert zoomFitHeight patch since it breaks zoomFitPage and zoomFitWidth
    (closes: #576543, 578892).

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Wed, 26 May 2010 22:34:38 -0400

xpdf (3.02-2) unstable; urgency=high

  [Michael Gilbert]
  * Fix multiple security issues (closes: #551287, #575779).
    - CVE-2009-1188: Integer overflow in the JBIG2 decoding feature in the
      SplashBitmap::SplashBitmap function in SplashBitmap.cc.

