=== debian/control ===
Source: xpdf
Section: text
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Michael Gilbert <michael.s.gilbert@gmail.com>
Uploaders: Osamu Aoki <osamu@debian.org>
Standards-Version: 3.9.1
Build-Depends: 
 debhelper (>= 7.0.50~),
 pkg-config,
 libx11-dev,
 lesstif2-dev,
 libpoppler-dev (>= 0.12.4)
Homepage: http://www.foolabs.com/xpdf/
Vcs-Browser: http://git.debian.org/?p=collab-maint/xpdf.git
Vcs-Git: git://git.debian.org/git/collab-maint/xpdf.git

Package: xpdf
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 xpdf-japanese (<= 1:20040727-1),
 xpdf-korean (<= 1:20040727-1),
 xpdf-chinese-simplified (<= 20040727-1),
 xpdf-chinese-traditional (<= 1:20040727-1),
 xpdf-reader (<< 3.02-10)
Replaces:
 xpdf-common,
 xpdf-reader,
 xpdf-japanese,
 xpdf-korean,
 xpdf-chinese-simplified,
 xpdf-chinese-traditional 
Recommends:
 poppler-utils,
 poppler-data,
 gsfonts-x11
Provides:
 pdf-viewer
Description: Portable Document Format (PDF) reader
 xpdf is a viewer for Portable Document Format (PDF) files.  These are,
 sometimes, called 'Acrobat' files after the name of Adobe's PDF software.

Package: xpdf-reader
Architecture: all
Depends:
 ${misc:Depends},
 xpdf
Description: Transitional package for xpdf
 This is a transitional package for xpdf, and can be safely removed
 after the installation is complete. 

Package: xpdf-utils
Architecture: all
Depends:
 ${misc:Depends},
 poppler-utils
Description: Transitional package for poppler-utils
 This is a transitional package for poppler-utils, and can be safely removed
 after the installation is complete.
