## xpdf 3.03

=== debian/changelog ===
xpdf (3.03-9ubuntu5) quantal; urgency=low

  * No-change rebuild for libpoppler27 -> libpoppler28 transition.

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 12 Sep 2012 16:33:31 +1200

xpdf (3.03-9ubuntu4) quantal; urgency=low

  * No-change rebuild for libpoppler26 -> libpoppler27 transition.

 -- Ilya Barygin <randomaction@ubuntu.com>  Fri, 07 Sep 2012 22:29:11 +0400

xpdf (3.03-9ubuntu3) quantal; urgency=low

  * No change rebuild for libpoppler26 (poppler 0.20.1-1ubuntu1)

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 22 Jun 2012 17:19:06 +1200

xpdf (3.03-9ubuntu2) quantal; urgency=low

  * Follow changes to libpoppler25 ABI.

 -- Andy Whitcroft <apw@canonical.com>  Tue, 12 Jun 2012 08:57:22 +0100

xpdf (3.03-9ubuntu1) quantal; urgency=low

  * debian/rules:
    Don't use LDFLAGS to specify which libraries to link with but use LIBS
    instead (closes: #671765)

 -- Michael Bienia <geser@ubuntu.com>  Thu, 17 May 2012 10:54:46 +0200

xpdf (3.03-9) unstable; urgency=low

  * Let poppler find and select non-embedded font file locations.  Thanks to
    Vincent Lefevre for finding a solution to this problem (closes: #641873).
  * Remove now ineffective font file configuration options from xpdfrc.
  * Revert UTF8 title conversion change (closes: #659272).
  * Revert lp as default print command.  Use lpr (the privious default) and
    recommend cups-bsd package (closes: #652606).
  * Fix segfault issue in additional zoom options patch and enable it again.
    Thanks to Jörg-Volker Peetz (closes: #654308).
  * Support title refresh when starting from a non-compressed file
    (lp: #932062).
  * Use "Xpdf" instead of "xpdf" in documentation on Xresources
    (closes: #631450).
  * Check exit codes of system calls (fix -Wunused-result compiler warnings).
  * Fix a pointer casting to a different size (fix -Wint-to-pointer-cast
    compiler warning).
  * Add -Wno-format-extra-args to build flags.
  * Bump standards to 3.9.3.

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Fri, 24 Feb 2012 17:33:29 -0500

xpdf (3.03-8) unstable; urgency=low

  * Fix uncompressed file handling (closes: #647223).
  * Build-conflict with binutils-gold (closes: #648556).
  * Bump to debhelper 9.
    - simplify hardening build flag logic in debian/rules (closes: #652689).
  * Convert UTF8 titles to ISO8859 when yudit is available (closes: #645903).

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Tue, 06 Dec 2011 15:11:46 -0500

xpdf (3.03-7) unstable; urgency=low

  * Fix build-hardening to include +pie,+bindnow.

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Sat, 29 Oct 2011 17:16:18 -0400

xpdf (3.03-6) unstable; urgency=low

  * Build with binutils-gold.
  * Fix hyphen in xpdfrc manpage.
  * Enable all build-hardening flags.
  * Fix some invalid type conversions.
  * Update copyright file to latest dep5 standard.
  * Fix temp file handling with exec (closes: #642203).

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Sat, 15 Oct 2011 01:01:54 -0400

xpdf (3.03-5) unstable; urgency=low

  * Use exec to launch xpdf.real (closes: #640177). 
  * Use lp as default print command (closes: #614045).
  * Really fix xpdfrc config file location (closes: #641941).

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Sat, 17 Sep 2011 04:18:00 -0400

xpdf (3.03-4) unstable; urgency=low

  * Fix helvetica font entry in xpdfrc.
  * Remove t1lib options from xpdfrc.
  * Assign system xpdfrc file location in debian/rules (drop patch).
  * Replace newly deprecated commands in various language support files
    (closes: #640486,640162).

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Sat, 17 Sep 2011 00:35:39 -0400

xpdf (3.03-3) unstable; urgency=low

  * Use better quoting in the xpdf wrapper script.
  * Replace deprecated "displayFontT1" option in the default xpdfrc file with
    its new replacement: "fontFile" (closes: #640967, #640486).
  * Disable additional zoom features patch for now (closes: #427632):
    - if anyone wants this to be re-enabled, the patch needs to be corrected so
      that fullscreen continuous mode no longer crashes (see closed bug).
  * Fix skipping first file passed to "-m" argument (closes: #640897).
  * Add binutils-gold build conflict.

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Sun, 04 Sep 2011 14:50:57 -0400

xpdf (3.03-2) unstable; urgency=low

  * Remove old breaks/replaces.
  * Remove unsatisfiable versioned dependency on lesstif.

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Thu, 01 Sep 2011 23:33:38 -0400

xpdf (3.03-1) unstable; urgency=low

  * New upstream release:
    - Refresh patches.
    - Drop 12-fix-typo-in-help.patch, fix-437725.patch, fix-479467.patch, and
      fix-577031.patch (now applied upstream).
  * Add various patches for poppler's alternative api:
    - use-poppler-fix-findtext.patch, use-poppler-fix-textoutputdev.patch,
      use-poppler-openfile.patch, and use-poppler-fix-findfontfile.patch.
  * Remove libxt linker flag.
  * Use -fpermissive build flag.
  * Really pass all arguments when using -m.
  * Fix broken -z argument (closes: #636390).

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Wed, 03 Aug 2011 23:58:42 -0400

xpdf (3.02-21) unstable; urgency=low

  * Pass real file name when not compressed (closes: #636432).
  * Handle backslashes in filenames with -m option (closes: #636403).
  * Document quirks of -m (closes: #636449).
  * Pass all arguments in -m option.

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Wed, 03 Aug 2011 22:55:26 -0400

xpdf (3.02-20) unstable; urgency=low

  * Simplify wrapper logic.
  * Set up tempfile trap before extracting compressed pdf files
    (closes: #635850).
  * Fix titling on compressed files (closes: #635881).
  * Use newlines to separate file names "-m" option handling (closes: #635852).

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Sun, 31 Jul 2011 03:22:48 -0400

xpdf (3.02-19) unstable; urgency=high

  * Fix insecure tempfile usage (closes: #635849).


