## xpdf 3.04

=== debian/changelog ===
xpdf (3.04-4) unstable; urgency=medium

  * QA upload.
  * Fix VCS fields, now in secure mode.

  [ Iain Lane ]
  * debian/xpdf.{svg,install}: Install a .svg icon created by Bryan Quigley,
    so that xpdf appears in AppStream. (LP: #1557675)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 05 Jan 2017 11:15:33 +0100

xpdf (3.04-3) unstable; urgency=medium

  * Set maintainer field Debian QA Group (see: #848631).
  * Support cross building (closes: #843267).
    - Thanks to Helmut Grohne.
  * Fix argument handling in the wrapper script (closes: #793552).
    - Thanks to Vincent Lefevre.

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 19 Dec 2016 02:48:12 +0000

xpdf (3.04-2) experimental; urgency=medium

  * Remove menu file.
  * Update standards version.
  * Fix desktop file exec line.
  * Restore key binding support (closes: #739271).
    - Thanks to Adam Sampson.
  * Restore support for initialZoom (closes: #737628).
    - Thanks to Vincent Lefevre.
  * Fix PSOutputDev argument order (closes: #617546).
    - Thanks to Simon Tatham.
  * Handle renaming of Japanese font files (closes: #796492).
    - Thanks to Hideki Yamane.
  * Sort object files during linking (closes: #819352).
  * Refactor XPDFParams to keep it better in sync with upstream's GlobalParams.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 31 Jul 2016 21:31:54 +0000

xpdf (3.04-1) unstable; urgency=medium

  * New upstream release.
  * Standards version 3.9.7.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 07 Feb 2016 17:37:07 +0000

xpdf (3.03-18) unstable; urgency=medium

  * Support poppler 0.38 (closes: #807087).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 03 Jan 2016 03:38:52 +0000

xpdf (3.03-17) unstable; urgency=medium

  * Upload to unstable.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 06 Apr 2014 03:10:29 +0000

xpdf (3.03-16+experimental2) experimental; urgency=medium

  * Build-depend poppler >= 0.24.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 26 Jan 2014 19:43:27 +0000

xpdf (3.03-16+experimental1) experimental; urgency=medium

  * Support poppler 0.24 (closes: #736443).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 25 Jan 2014 20:13:19 +0000

xpdf (3.03-16) unstable; urgency=medium

  * Make selections visible in reverse mode (closes: #692931).

 -- Michael Gilbert <mgilbert@debian.org>  Thu, 23 Jan 2014 23:38:48 +0000

xpdf (3.03-15) experimental; urgency=low

  * Build-depend poppler >= 0.22.

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 20 Jan 2014 06:02:20 +0000

xpdf (3.03-14) experimental; urgency=low

  * Move Error.h into the build directory.

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 20 Jan 2014 05:32:40 +0000

xpdf (3.03-13) experimental; urgency=low

  * Don't require poppler >= 0.24.

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 20 Jan 2014 05:05:45 +0000

xpdf (3.03-12) experimental; urgency=low

  * Fix vcs-git url (closes: #728283).
  * Support poppler 0.20 (closes: #679896).
  * Support poppler 0.22 (closes: #719224). 
  * Drop binutils-gold conflict (closes: #725514).
  * Separate xpdf-specific global parameters (closes: #658264, #727070).
    - Thanks to Dmitry Shachnev!

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 20 Jan 2014 02:54:13 +0000

xpdf (3.03-11) unstable; urgency=low

  * Bump standards to 3.9.4.
  * Fix printing issue (closes: #622877).
  * Add libxt-dev build dependency (closes: #707927).
  * Support linking with --as-needed (closes: #671765).
  * Switch to libmotif instead of lesstif (closes: #697098).
  * Replace and conflict with xpdf-reader (closes: #707818).

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 31 May 2013 19:33:24 +0000

xpdf (3.03-10) unstable; urgency=low

  * Build-depend on libpoppler-private-dev (closes: #660992).
  * Update my email address.

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 11 Jun 2012 21:40:47 -0400
