=== debian/control ===
Source: xpdf
Section: text
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 3.9.8
Build-Depends: 
 debhelper (>= 9),
 pkg-config,
 libxt-dev,
 libx11-dev,
 libmotif-dev,
 libpoppler-private-dev (>= 0.26),
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/xpdf.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/xpdf.git
Homepage: http://www.foolabs.com/xpdf

Package: xpdf
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 poppler-utils,
 poppler-data,
 gsfonts-x11,
 cups-bsd,
Provides:
 pdf-viewer,
Conflicts:
 xpdf-reader,
 xpdf-common,
Replaces:
 xpdf-reader,
 xpdf-common,
Description: Portable Document Format (PDF) reader
 xpdf is a light-weight open source viewer for Portable Document Format (PDF)
 files (also called 'Adobe Acrobat' or 'Acrobat' files).  This is just the
 xpdf viewer client; various command-line pdf tools are now provided via the
 poppler-utils package.
