=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.sig/" \
ftp://ftp.foolabs.com/pub/xpdf/xpdf-([\d.]+)\.tar\.gz
