## xpdf 3.04%2Bgit20220601

=== debian/changelog ===
xpdf (3.04+git20220601-1) unstable; urgency=medium

  * Import new upstream version 3.04+git20220601 (closes: #1012806)
  * Update copyright years
  * Declare compliance with Debian Policy 4.6.1

 -- Florian Schlichting <fsfs@debian.org>  Fri, 17 Jun 2022 22:37:02 +0800

xpdf (3.04+git20220201-1) unstable; urgency=medium

  * Import new upstream version 3.04+git20220201

 -- Florian Schlichting <fsfs@debian.org>  Tue, 08 Feb 2022 22:04:11 +0800

xpdf (3.04+git20211021-1) unstable; urgency=medium

  * Import new upstream version 3.04+git20211021
  * drop unnecessary uupdate script from d/watch

 -- Florian Schlichting <fsfs@debian.org>  Thu, 21 Oct 2021 20:48:52 +0800

xpdf (3.04+git20211001-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.

  [ Florian Schlichting ]
  * d/copyright: use secure URI in Source field
  * Import new upstream version 3.04+git20211001
    + use render tables to select Xft Unicode fonts for (closes: #683399)
    + enable Motif locale support, convert search strings from the locale's
      encoding (closes: #946270)
    + use unicode when displaying the table of contents (closes: #668945)
    + add a findPrev command and keybinding (closes: #989369)
  * Add a Bug-Submit address to upstream metadata
  * Add a watch file looking at upstream's git HEAD
  * Declare compliance with Debian Policy 4.6.0

 -- Florian Schlichting <fsfs@debian.org>  Thu, 14 Oct 2021 23:54:24 +0800

xpdf (3.04+git20210103-3) unstable; urgency=medium

  * Fix automatic injection of hardening buildflags

 -- Florian Schlichting <fsfs@debian.org>  Thu, 04 Mar 2021 22:41:56 +0800

xpdf (3.04+git20210103-2) unstable; urgency=medium

  * Fix printing when no psLevel is defined in xpdfrc (closes: #983880)

 -- Florian Schlichting <fsfs@debian.org>  Thu, 04 Mar 2021 14:20:04 +0800

xpdf (3.04+git20210103-1) unstable; urgency=medium

  * Import new upstream version 3.04+git20210103
    + switch to xpopple as new upstream (closes: #977182)
    + fix obvious memory leaks (closes: #945188, #942086)
    + no longer crash on empty documents (closes: #968354)
    + properly ask for passwords (closes: #606885)
    + correctly recognize working and document obsolete config file commands
      (closes: #971805, #863382)
  * Drop patches, all applied in (or obsoleted by) xpopple upstream
  * Bump dh compat to level 13
  * Greatly simplify d/rules (but keep linking to libpaper)
  * Keep installing our xpdf wrapper script
  * Ensure wrapper script correctly handles all xpdf options
  * Add wrapper script options back to xpdf manpage
  * Drop obsolete language support files and infrastructure
  * Mention new upstream in relevant places, drop d/watch
  * Adopt xpdf (closes: #848631)
  * Ship TODO in docs
  * Add Rules-Requires-Root: no
  * Declare compliance with Debian Policy 4.5.1

 -- Florian Schlichting <fsfs@debian.org>  Thu, 28 Jan 2021 15:58:32 +0800

xpdf (3.04-14) unstable; urgency=medium

  * QA upload
  * Add patches from xpopple for compatibility with poppler 20.09.0 (closes: #955552)
  * Fix memory leaks, patch from Bernhard Übelacker (closes: #945188)
  * Fix tempfile warning, thanks Vincent Lefevre (closes: #961597)
  * Support more MIME types in xpdf.desktop (closes: #901541)
  * Fix typo in manpage (closes: #973573)

 -- Florian Schlichting <fsfs@debian.org>  Fri, 11 Dec 2020 00:43:16 +0800

xpdf (3.04-13exp3) experimental; urgency=medium

  * QA upload
  * Tighteen libpoppler-dev dependency to version 0.76, since the patch
    is not retro-compatible (Closes: #943523).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 26 Oct 2019 12:31:54 +0200

xpdf (3.04-13exp2) experimental; urgency=medium

  [ Gianfranco Costamagna ]
  * debian/patches/poppler-0.76.patch:
    - updated for the new poppler version
  * QA upload.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 08 May 2019 19:01:04 +0200

xpdf (3.04-13exp1) experimental; urgency=medium

  * debian/patches/poppler-0.74.patch:
    - updated for the new poppler version
  [ Gianfranco Costamagna ]
  * QA upload.

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 21 Feb 2019 18:23:26 +0100

xpdf (3.04-13) unstable; urgency=medium

  * Upload to unstable, now poppler 0.71
    transition has started

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 08 Jan 2019 09:06:35 +0100

xpdf (3.04-12exp1) experimental; urgency=medium

  * QA upload.
  * Upload to experimental, with patch for new poppler 0.71

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 18 Dec 2018 09:54:25 +0100

xpdf (3.04-12) unstable; urgency=medium

  * QA upload
  * Adds a dependency to sensible-utils.

 -- GOTO Masanori <gotom@debian.org>  Mon, 17 Dec 2018 21:55:46 +0900

xpdf (3.04-11) unstable; urgency=medium

  * QA upload
  * Revert to 3.04-9 version because unstable has old
    poppler

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 06 Dec 2018 15:13:34 +0100

xpdf (3.04-10) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * QA upload
  * Bump std-version to 4.2.1, no changes required

  [ Iain Lane ]
  * debian/patches/poppler-0.71.patch: Update for poppler 0.71's latest lot of
    deprecations / removals.
  * debian/rules: deleteGooList(someList, someType) became
    deleteGooList<someType>, someList - add some sed hax to transform the
    former to the latter.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 05 Dec 2018 22:50:44 +0100

xpdf (3.04-9) unstable; urgency=medium

  * QA upload
  * Patch also for poppler-0.69 (Closes: #910869)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 22 Oct 2018 10:34:31 +0200

xpdf (3.04-8) unstable; urgency=medium

  * QA upload.
  * Adapt to new poppler-0.68 (Closes: #910869)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 25 Aug 2018 17:02:55 +0200

xpdf (3.04-7) unstable; urgency=medium

  * QA upload.

  * Move packaging to salsa.d.o
  * Fix build with poppler-0.62 (thanks Matthias Klose)


