## xpdf 3.04+git20210103

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: text
 Priority: optional
 Maintainer: Florian Schlichting <fsfs@debian.org>
-Standards-Version: 4.6.0
+Standards-Version: 4.5.1
 Build-Depends:
  debhelper-compat (= 13),
  pkg-config,
@@ -13,7 +13,7 @@
  libpoppler-private-dev (>= 0.76),
 Vcs-Browser: https://salsa.debian.org/debian/xpdf
 Vcs-Git: https://salsa.debian.org/debian/xpdf.git
-Homepage: https://offog.org/code/xpopple/
+Homepage: http://offog.org/code/xpopple/
 Rules-Requires-Root: no
 
 Package: xpdf
