## xpdf 3.04+git20211021

=== debian/changelog ===
xpdf (3.04+git20211021-1ubuntu1) jammy; urgency=medium

  * Fix build failure with Poppler ≥ 21.11

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 12 Nov 2021 12:49:25 +0100
