=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: xpdf
 Section: text
 Priority: optional
-Maintainer: Florian Schlichting <fsfs@debian.org>
-Standards-Version: 4.5.1
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Florian Schlichting <fsfs@debian.org>
+Standards-Version: 4.6.0
 Build-Depends:
  debhelper-compat (= 13),
  pkg-config,
@@ -13,7 +14,7 @@
  libpoppler-private-dev (>= 0.76),
 Vcs-Browser: https://salsa.debian.org/debian/xpdf
 Vcs-Git: https://salsa.debian.org/debian/xpdf.git
-Homepage: http://offog.org/code/xpopple/
+Homepage: https://offog.org/code/xpopple/
 Rules-Requires-Root: no
 
 Package: xpdf
