## xpdf 3.04+git20220601

=== debian/changelog ===
xpdf (3.04+git20220601-1ubuntu1) mantic; urgency=medium

  * Add debian/patches/globalparams-addfontfile-stdstring.patch to
    fix build with poppler 23.08.0 (in preparation for the upcoming
    transition) where GlobalParams::addFontFile now takes std::string
    arguments rather than GooString.

 -- Amin Bandali <bandali@ubuntu.com>  Fri, 18 Aug 2023 15:22:49 -0400

xpdf (3.04+git20220601-1build3) mantic; urgency=medium

  * Rebuild against latest poppler

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 17 Aug 2023 05:20:10 -0400

xpdf (3.04+git20220601-1build2) lunar; urgency=medium

  * No-change rebuild against libpoppler126.

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Dec 2022 11:45:36 +0000

xpdf (3.04+git20220601-1build1) kinetic; urgency=medium

  * Rebuild against latest poppler

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 11 Aug 2022 10:00:00 -0400
