## xpdf 3.04+git20231213

=== debian/changelog ===
xpdf (3.04+git20231213-1) unstable; urgency=medium

  * Import new upstream version 3.04+git20231213
    (closes: #1058619, #743631, #353756)
  * Update copyright years
  * Declare compliance with Debian Policy 4.6.2
  * Recommend fonts-urw-base35 instead of transitional gsfonts-x11
    (closes: #1020353)
  * Update .desktop categories and keywords (closes: #1036435)

 -- Florian Schlichting <fsfs@debian.org>  Mon, 18 Dec 2023 23:05:25 +0100
