=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: xpdf
 Section: text
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Florian Schlichting <fsfs@debian.org>
-Standards-Version: 4.6.1
+Maintainer: Florian Schlichting <fsfs@debian.org>
+Standards-Version: 4.6.2
 Build-Depends:
  debhelper-compat (= 13),
  pkg-config,
@@ -25,7 +24,7 @@
 Recommends:
  poppler-utils,
  poppler-data,
- gsfonts-x11,
+ fonts-urw-base35,
  cups-bsd,
  sensible-utils,
 Provides:
