## xpdf 3.04+git20240202

=== debian/changelog ===
xpdf (3.04+git20240202-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:38:28 +1100

xpdf (3.04+git20240202-1build2) noble; urgency=medium

  * No-change rebuild against libxt6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 09 Mar 2024 01:03:17 +0000

xpdf (3.04+git20240202-1build1) noble; urgency=medium

  * Rebuild against latest poppler

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 18 Feb 2024 18:13:01 -0500

xpdf (3.04+git20240202-1) unstable; urgency=medium

  * Import new upstream version 3.04+git20240202 (closes: #1063927)
  * Build-depend on pkgconf instead of obsolete pkg-config

 -- Florian Schlichting <fsfs@debian.org>  Sat, 17 Feb 2024 15:34:19 +0100

xpdf (3.04+git20240124-1) unstable; urgency=medium

  * Import new upstream version 3.04+git20240118 (closes: #1061423)
  * Bump copyright years (2024)

 -- Florian Schlichting <fsfs@debian.org>  Wed, 24 Jan 2024 21:19:03 +0100

xpdf (3.04+git20240118-1) unstable; urgency=medium

  * Import new upstream version 3.04+git20240118 (closes: #1059084)

 -- Florian Schlichting <fsfs@debian.org>  Tue, 23 Jan 2024 21:22:11 +0100
