=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: xpdf
 Section: text
 Priority: optional
-Maintainer: Florian Schlichting <fsfs@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Florian Schlichting <fsfs@debian.org>
 Standards-Version: 4.6.2
 Build-Depends:
  debhelper-compat (= 13),
- pkg-config,
+ pkgconf,
  libpaper-dev,
  libxt-dev,
  libx11-dev,
